import { BaseCommand } from "../../BaseCommand";
export default class BoardList extends BaseCommand<typeof BoardList> {
    static description: string;
    protected defaultOutput: "fancy";
    static flags: {
        filter: import("@oclif/core/lib/interfaces").OptionFlag<"open" | "public" | "all" | "closed" | "members" | "organization" | "starred", import("@oclif/core/lib/interfaces").CustomOptions>;
    };
    run(): Promise<void>;
    protected toData(data: any): any;
    protected format(data: any): Promise<string>;
}
